<div class="form-group">
    <select class="form-select" (change)="emitOnChangeEvent($event)">
        <option value="">{{defaultOptionText}}</option>
        <option *ngFor="let option of selectOptionData" [value]="option.id">{{option.name}}</option>
    </select>
</div>